Mailinglist Archive: opensuse-factory (439 mails)

< Previous Next >
Re: [opensuse-factory] QGIS is effectively blocking TW upgrade
  • From: Bruno Friedmann <bruno@xxxxxxxxxxx>
  • Date: Thu, 04 Apr 2019 14:57:24 +0200
  • Message-id: <2663987.itz2g41cso@qt-kt>
On jeudi, 4 avril 2019 11.29:25 h CEST Vojtěch Zeisek wrote:
Dne 4.4.2019 11:23, Christophe Giboudeaux napsal:
On jeudi 4 avril 2019 10:38:57 CEST Vojtěch Zeisek wrote:
Sorry, of course QGIS is not part of TW, but I suppose its maintainers
and other users also read this list. The bug is
https://bugzilla.opensuse.org/show_bug.cgi?id=1131494

https://build.opensuse.org/request/show/691431 fixes this build issue.

Nice, thank You. :-)

The root of the problem is the quality of qgis' FindPostgres.cmake.
(CMake
provides a working module since version 2.8.4, released in 2011...)

Long story, the introduction of proj6 has created some failures not all
trivial to fix. the sr made is one of the "bad" things, the usage of
pg_config.

pg_config was never really meant to be used for programs using libpq. But for
lack of better alternatives everyone started using it in the past. There is a
better alternative now pkg-config libpq.

so inside Application:Geo we have to help upstream to get ready for proj 6
usage, help upstream package to use pkg-config libpq.

For example gdal will be soon ready for that, with proper upstream patch.
next to fix grass (7.6.1 support proj 6), etc... and the cascade is long,
and time consuming.

Bug report, and SR fixing are always welcomed.

--

Bruno Friedmann
Ioda-Net Sàrl www.ioda-net.ch
Bareos Partner, openSUSE Member, fsfe supporter
GPG KEY : D5C9B751C4653227
irc: tigerfoot




--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >